<?php
/*
Template Name: Homepage
*/
?>

<?php get_header(); ?>

<div class="box">
	<img src="<?=_p()?>/images/empty.gif" class="green-leaves" alt="" />
	<div class="box-t">&nbsp;</div>
	<div class="box-c">
		<div class="box-cnt two-columns">
			<div class="cl">&nbsp;</div>
			<div class="side-left welcome">
				<h2>Рад вас видеть у себя на сайте!</h2>
				<p><?=$post->post_content?></p>
			</div>
			<div class="side-right">
				<h2>Сервисы</h2>
				<?php $services_page = _get_page_by_name('services'); ?>
				<p><?=_get_short_info($services_page->post_content)?></p>
				<p class="more"><a href="<?=get_permalink($services_page->ID)?>"><span>читать полностью</span></a></p>
			</div>
			<div class="cl">&nbsp;</div>
			
		</div>
	</div>
	<div class="box-b">&nbsp;</div>
</div>

<div class="portfolio-box">
	<div class="portfolio-box-bg">
		<div class="portfolio-box-cnt">
			<h2 class="nobg">Наши работы</h2>
			<div class="projects">
				<ul>
					<?php 
					$portfolio = _get_page_by_name('portfolio');
					
					$projects = get_pages('child_of=' . $portfolio->ID . '&sort_column=menu_order,post_title&sort_order=asc&number=4');
					
					foreach($projects as $p) : 
						$link = get_permalink($p->ID); 
						$project_url = _get_field($p->ID, 'url');
					?>
						<li>
					    	<div class="image"><a href="<?=$link?>"><?=_get_project_info('image', $p->post_content)?></a></div>
							<div class="info">
								<a href="<?=$project_url?>" rel="nofollow" class="view">посмотреть вживую</a>
								<h3><a href="<?=$link?>"><?=$p->post_title?></a></h3>
							</div>
					    </li>
					<?php endforeach; ?>
				</ul>
			</div>
		</div>
	</div>
</div>

<div class="box">
	<div class="box-t">&nbsp;</div>
	<div class="box-c">
		<div class="box-cnt two-columns">
			<div class="cl">&nbsp;</div>
			<div class="side-left">
				<h2>Блог</h2>
				<div class="post">
					<?php $latest_post = _get_latest_post(); $link = get_permalink($latest_post->ID);?>
					<h2><a href="<?=$link?>"><?=$latest_post->post_title?></a></h2>
					<small><?=_format_date($latest_post->post_date)?></small>
					<div class="entry"><?php echo apply_filters('the_content', _get_short_info($latest_post->post_content)); ?></div>
					<div class="postmeta more">
						<a href="<?=$link?>"><span>читать полностью</span></a>
						<a href="<?=$link?>#comments"><span>комментарии (<?=$latest_post->comment_count?>)</span></a>
					</div>
				</div>
			</div>
			<div class="side-right headlines">
				<h2>Последнее</h2>
				<ul>
					<?=_list_latest_posts();?>
				</ul>
			</div>
			<div class="cl">&nbsp;</div>
		</div>
	</div>
	<div class="box-b">&nbsp;</div>
</div>

<div class="box">
	<img src="<?=_p()?>/images/empty.gif" class="green-leaves" alt="" />
	<div class="box-t">&nbsp;</div>
	<div class="box-c">
		<div class="box-cnt three-columns">
			<div class="cl">&nbsp;</div>
			<div class="side-eq">
				<h2>Другие наши работы</h2>
				<div class="small-thumbnails">
					<div class="cl">&nbsp;</div>
					<ul>
						<?php
						$projects = get_pages('child_of=' . $portfolio->ID . '&sort_column=menu_order,post_title&sort_order=asc&number=16');
						?>
						<?php foreach($projects as $p) : ?>
							<li><a href="<?=get_permalink($p->ID)?>"><?=_get_project_info('small_image', $p->post_content)?></a></li>
						<?php endforeach; ?>
					</ul>
					<div class="cl">&nbsp;</div>
				</div>
			</div>
			<div class="side-eq side-center">
				<?php $latest_project = _get_latest_project($portfolio->ID); ?>
				<h2><?=$latest_project->post_title?></h2>
				<p><?=_get_project_info('short_info', $latest_project->post_content); ?></p>
				<p class="more"><a href="<?=get_permalink($latest_project->ID)?>"><span>читать полностью</span></a></p>
			</div>
			<div class="side-eq">
				<h2>Ваши проекты</h2>
				<p><strong class="white">Есть интересное для нас?</strong><br /> Скачайте и заполните <a href="#">анкету проектов</a>. </p>
			</div>
			<div class="cl">&nbsp;</div>
		</div>
	</div>
	<div class="box-b">&nbsp;</div>
</div>


<?php get_footer(); ?>